;;; Adds a ccf command to emacs

;;; The whole buffer is fed through eccf, and an attempt made to
;;; get the cursor back to the line it was sitting on originally.

;;; If there's a problem, the buffer is replaced with eccf's stderr,
;;; which should be dramatic enough for you to notice something's
;;; gone wrong.  Undo will save you.


(defun ccf (opts)
  "Feed a buffer through eccf"
  (interactive "sCCF Options: ")
  (let* ((cur-pos (progn
		    (beginning-of-line)
		    (+ (count-lines (point-min) (point)) 1)))
	 (win-pos (progn
		    (goto-char (window-start))
		    (beginning-of-line)
		    (+ (count-lines (point-min) (point)) 1))))
    (shell-command-on-region (point-min) (point-max)
			     (concat "eccf " opts) t t)
    (goto-line win-pos)
    (set-window-start (selected-window) (point))
    (goto-line cur-pos)))
